IOdictionary timeTriggeredProperties (
    IOobject
    (
        "timeTriggeredProperties",
        "constant",
        mesh,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

const scalar reaction_start_time = readScalar(
    timeTriggeredProperties.lookup("reaction_start_time")
);

const scalar reaction_max_time = readScalar(
    timeTriggeredProperties.lookup("reaction_max_time")
);

const scalar max_rate = readScalar(
    timeTriggeredProperties.lookup("max_rate")
);

const dimensionedScalar reaction_energy(
    "reaction_energy",
    dimEnergy / dimMass,
    timeTriggeredProperties
);

const dimensionedScalar decay_temperature(
    "decay_temperature",
    dimTemperature,
    timeTriggeredProperties
);

const dimensionedScalar decay_speed(
    "decay_speed",
    dimless / dimTemperature / dimTime,
    timeTriggeredProperties
);
