{
    volScalarField excess_temperature(
        "excess_temperature",
        T-decay_temperature
    );

    forAll(excess_temperature, cellI) {
        if(excess_temperature[cellI] < 0) {
            excess_temperature[cellI] = 0;
        }
    }
    excess_temperature.correctBoundaryConditions();

    fvScalarMatrix timeEqn
    (
        fvm::ddt(rho, time)
        + fvm::div(phi, time)
        //    - fvm::laplacian(turbulence->alphaEff(), time)
        ==
        fvOptions(rho, time)
        +
        rho*dimensionedScalar("increase", dimTime/dimTime, 1)
        -
        fvm::Sp(
            rho
            *
            decay_speed
            *
            excess_temperature,
            time)
    );

    timeEqn.relax();

    fvOptions.constrain(timeEqn);

    timeEqn.solve();

    fvOptions.correct(time);

    forAll(reactionRate, cellI) {
        if(time[cellI] < reaction_start_time) {
            reactionRate[cellI] = 0;
        } else if (time[cellI] > reaction_max_time) {
            reactionRate[cellI] = max_rate;
        } else {
            reactionRate[cellI] =
                max_rate*(time[cellI] - reaction_start_time)
                /
                (reaction_max_time - reaction_start_time);
        }
    }
    reactionRate.correctBoundaryConditions();
}
